# GoogleICS

Allows for a proxy from CloudFlare to public calendars on google in iCS format.

This will allow for requests to Google from a mobile device to not come from
a geolocatable IP address. Using CloudFlare workers for this also gets you to
use a cached edge location. Technically Google tracking would still be
available at a regional level (constrained to CloudFlare's edge locations).
However, Google would lose the ability to track to a single user.

Specifically, they will get:

* Time and IP address of CloudFlare edge location
* The following custom header: `CDN-Loop: cloudflare`

Note that CloudFlare has full knowledge of requests, etc, so this is somewhat
trading of trust from Google (AdTech company) for CloudFlare (makes money from
CDN and DDOS mitigation).
